
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Javascript面向对象编程（二）：构造函数的继承 / 憋错料</title>

    <meta name="description" content="Javascript面向对象编程（二）：构造函数的继承 这个系列的第一部分,主要介绍了如何&quot;封装&quot;数据和方法,以及如何从原型对象生成实例. 今天要介绍的是,对象之间的&quot;继承&quot;的五种方法. 比如,现在有一个&quot;动物&quot;对象的构造函数. function Animal(){ this.species = &quot;动物&quot;; } 还有一个&quot;猫&quot;对象的构造函数. function Cat(name,color){ this.name = name; this.color  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Javascript面向对象编程（二）：构造函数的继承</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><P>这个系列的<A href="http://www.ruanyifeng.com/blog/2010/05/object-oriented_javascript_encapsulation.html" rel="external nofollow noreferrer">第一部分</A>，主要介绍了如何"封装"数据和方法，以及如何从原型对象生成实例。</p>
<p>今天要介绍的是，对象之间的"继承"的五种方法。</p>
<p>比如，现在有一个"动物"对象的构造函数。</p>
<blockquote><p>　　function Animal(){</p>
<p>　　　　this.species = "动物";</p>
<p>　　}</BLOCKQUOTE></p>
<p>还有一个"猫"对象的构造函数。</p>
<blockquote><p>　　function Cat(name,color){</p>
<p>　　　　this.name = name;</p>
<p>　　　　this.color = color;</p>
<p>　　}</BLOCKQUOTE></p>
<p>怎样才能使"猫"继承"动物"呢？</p>
<p>一、 构造函数绑定</p>
<p>第一种方法也是最简单的方法，使用call或apply方法，将父对象的构造函数绑定在子对象上，即在子对象构造函数中加一行：</p>
<blockquote><p>　　function Cat(name,color){</p>
<p>　　　　Animal.apply(this, arguments);</p>
<p>　　　　this.name = name;</p>
<p>　　　　this.color = color;</p>
<p>　　}</p>
<p>　　var cat1 = new Cat("大毛","黄色");</p>
<p>　　alert(cat1.species); // 动物</BLOCKQUOTE></p>
<p>二、 prototype模式</p>
<p>第二种方法更常见，使用prototype属性。</p>
<p>如果"猫"的prototype对象，指向一个Animal的实例，那么所有"猫"的实例，就能继承Animal了。</p>
<blockquote><p>　　Cat.prototype = new Animal();</p>
<p>　　Cat.prototype.constructor = Cat;</p>
<p>　　var cat1 = new Cat("大毛","黄色");</p>
<p>　　alert(cat1.species); // 动物</BLOCKQUOTE></p>
<p>代码的第一行，我们将Cat的prototype对象指向一个Animal的实例。</p>
<blockquote><p>　　Cat.prototype = new Animal();</BLOCKQUOTE></p>
<p>它相当于完全删除了prototype 对象原先的值，然后赋予一个新值。但是，第二行又是什么意思呢？</p>
<blockquote><p>　　Cat.prototype.constructor = Cat;</BLOCKQUOTE></p>
<p>原来，任何一个prototype对象都有一个constructor属性，指向它的构造函数。如果没有"Cat.prototype = new<br />
Animal();"这一行，Cat.prototype.constructor是指向Cat的；加了这一行以后，Cat.prototype.constructor指向Animal。</p>
<blockquote><p>　　alert(Cat.prototype.constructor == Animal); //true</BLOCKQUOTE></p>
<p>更重要的是，每一个实例也有一个constructor属性，默认调用prototype对象的constructor属性。</p>
<blockquote><p>　　alert(cat1.constructor == Cat.prototype.constructor); //<br />
true</BLOCKQUOTE></p>
<p>因此，在运行"Cat.prototype = new Animal();"这一行之后，cat1.constructor也指向Animal！</p>
<blockquote><p>　　alert(cat1.constructor == Animal); // true</BLOCKQUOTE></p>
<p>这显然会导致继承链的紊乱（cat1明明是用构造函数Cat生成的），因此我们必须手动纠正，将Cat.prototype对象的constructor值改为Cat。这就是第二行的意思。</p>
<p>这是很重要的一点，编程时务必要遵守。下文都遵循这一点，即如果替换了prototype对象，</p>
<blockquote><p>　　o.prototype = {};</BLOCKQUOTE></p>
<p>那么，下一步必然是为新的prototype对象加上constructor属性，并将这个属性指回原来的构造函数。</p>
<blockquote><p>　　o.prototype.constructor = o;</BLOCKQUOTE></p>
<p>三、 直接继承prototype</p>
<p>第三种方法是对第二种方法的改进。由于Animal对象中，不变的属性都可以直接写入Animal.prototype。所以，我们也可以让Cat()跳过<br />
Animal()，直接继承Animal.prototype。</p>
<p>现在，我们先将Animal对象改写：</p>
<blockquote><p>　　function Animal(){ }</p>
<p>　　Animal.prototype.species = "动物";</BLOCKQUOTE></p>
<p>然后，将Cat的prototype对象，然后指向Animal的prototype对象，这样就完成了继承。</p>
<blockquote><p>　　Cat.prototype = Animal.prototype;</p>
<p>　　Cat.prototype.constructor = Cat;</p>
<p>　　var cat1 = new Cat("大毛","黄色");</p>
<p>　　alert(cat1.species); // 动物</BLOCKQUOTE></p>
<p>与前一种方法相比，这样做的优点是效率比较高（不用执行和建立Animal的实例了），比较省内存。缺点是<br />
Cat.prototype和Animal.prototype现在指向了同一个对象，那么任何对Cat.prototype的修改，都会反映到Animal.prototype。</p>
<p>所以，上面这一段代码其实是有问题的。请看第二行</p>
<blockquote><p>　　Cat.prototype.constructor = Cat;</BLOCKQUOTE></p>
<p>这一句实际上把Animal.prototype对象的constructor属性也改掉了！</p>
<blockquote><p>　　alert(Animal.prototype.constructor); // Cat</BLOCKQUOTE></p>
<p>四、 利用空对象作为中介</p>
<p>由于"直接继承prototype"存在上述的缺点，所以就有第四种方法，利用一个空对象作为中介。</p>
<blockquote><p>　　var F = function(){};</p>
<p>　　F.prototype = Animal.prototype;</p>
<p>　　Cat.prototype = new F();</p>
<p>　　Cat.prototype.constructor = Cat;</BLOCKQUOTE></p>
<p>F是空对象，所以几乎不占内存。这时，修改Cat的prototype对象，就不会影响到Animal的prototype对象。</p>
<blockquote><p>　　alert(Animal.prototype.constructor); // Animal</BLOCKQUOTE></p>
<p>我们将上面的方法，封装成一个函数，便于使用。</p>
<blockquote><p>　　function extend(Child, Parent) {<br /><br />　　　　var F = function(){};</p>
<p>　　　　F.prototype = Parent.prototype;</p>
<p>　　　　Child.prototype = new F();</p>
<p>　　　　Child.prototype.constructor = Child;</p>
<p>　　　　Child.uber = Parent.prototype;</p>
<p>　　}</BLOCKQUOTE></p>
<p>使用的时候，方法如下</p>
<blockquote><p>　　extend(Cat,Animal);</p>
<p>　　var cat1 = new Cat("大毛","黄色");</p>
<p>　　alert(cat1.species); // 动物</BLOCKQUOTE></p>
<p>这个extend函数，就是YUI库如何实现继承的方法。</p>
<p>另外，说明一点，函数体最后一行</p>
<blockquote><p>　　Child.uber = Parent.prototype;</BLOCKQUOTE></p>
<p>意思是为子对象设一个uber属性，这个属性直接指向父对象的prototype属性。（uber是一个德语词，意思是"向上"、"上一层"。）这等于在子对象上打开一条通道，可以直接调用父对象的方法。这一行放在这里，只是为了实现继承的完备性，纯属备用性质。</p>
<p>五、 拷贝继承</p>
<p>上面是采用prototype对象，实现继承。我们也可以换一种思路，纯粹采用"拷贝"方法实现继承。简单说，如果把父对象的所有属性和方法，拷贝进子对象，不也能够实现继承吗？这样我们就有了第五种方法。</p>
<p>首先，还是把Animal的所有不变属性，都放到它的prototype对象上。</p>
<blockquote><p>　　function Animal(){}</p>
<p>　　Animal.prototype.species = "动物";</BLOCKQUOTE></p>
<p>然后，再写一个函数，实现属性拷贝的目的。</p>
<blockquote><p>　　function extend2(Child, Parent) {</p>
<p>　　　　var p = Parent.prototype;</p>
<p>　　　　var c = Child.prototype;</p>
<p>　　　　for (var i in p) {</p>
<p>　　　　　　c[i] = p[i];</p>
<p>　　　　　　}</p>
<p>　　　　c.uber = p;</p>
<p>　　}</BLOCKQUOTE></p>
<p>这个函数的作用，就是将父对象的prototype对象中的属性，一一拷贝给Child对象的prototype对象。</p>
<p>使用的时候，这样写：</p>
<blockquote><p>　　extend2(Cat, Animal);</p>
<p>　　var cat1 = new Cat("大毛","黄色");</p>
<p>　　alert(cat1.species); // 动物</BLOCKQUOTE></p>
<p>（本系列未完，请继续阅读第三部分<A href="http://www.ruanyifeng.com/blog/2010/05/object-oriented_javascript_inheritance_continued.html" rel="external nofollow noreferrer">《非构造函数的继承》</A>。）</p>
<p>（完）</p>
<p>Javascript面向对象编程（二）：构造函数的继承,码迷,mamicode.com</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 04:01:27 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/log/" title="log">log</a>, <a href="https://www.biecuoliao.com/tag/ext/" title="ext">ext</a>, <a href="https://www.biecuoliao.com/tag/com/" title="&period;com">&period;com</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/tar/" title="tar">tar</a>, <a href="https://www.biecuoliao.com/tag/javascript/" title="javascript">javascript</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Javascript面向对象编程（二）：构造函数的继承的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nbBVK0.html" rel="bookmark">Javascript面向对象编程：构造函数的继承</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天要介绍的是,对象之间的&quot;继承&quot;的五种方法. 比如,现在有一个&quot;动物&quot;对象的构造函数. function Animal(){ this.species = &quot;动物&quot;; } 还有一个&quot;猫&quot;对象的构造函数. function Cat(name,color){ this.name = name; this.color = color; } 怎样才能使&quot;猫&quot;继承&quot;动物&quot;呢? 一. 构造函数绑定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLq1vB0.html" rel="bookmark">js面向对象编程&lpar;二&rpar; 构造函数继承</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				构造函数绑定 //基类建筑物var building = function () {    this.spec = &quot;building&quot;;}; //address:房子地址,toward:房子朝向var house = function (address, toward) {    this.address = address;    this.toward = toward;}; //使房子继承建筑物 //使用call或者apply方法,将父对象的构造函数绑定在子对象上,在子对象构造			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bOlLp3.html" rel="bookmark">JavaScript面向对象编程深入分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二. Javascript 面向对象编程:构造函数的继承 本节主要介绍,如何生成一个&quot;继承&quot;多个对象的实例. 比如,现在有一个&quot;动物&quot;对象的构造函数, function Animal(){ this.species = &quot;动物&quot;; } 还有一个&quot;猫&quot;对象的构造函数, function Cat(name,color){ this.name = name; this.color = color; } 怎样才能使&quot;猫&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rqGw10.html" rel="bookmark">JavaScript面向对象编程学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1  Javascript 面向对象编程 所谓&quot;构造函数&quot;,其实就是一个普通函数,但是内部使用了this变量.对构造函数使用new运算符,就能生成实例,并且this变量会绑定在实例对象上. 自动含有一个constructor属性,指向它们的构造函数. Javascript还提供了一个instanceof运算符,验证原型对象与实例对象之间的关系. Javascript规定,每一个构造函数都有一个prototype属性,指向另一个对象.这个对象的所有属性和方法,都会被构造函数的实例继承.			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgemYR3.html" rel="bookmark">Javascript面向对象编程（二）：构造函数的继承 作者：yuan一峰</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Javascript面向对象编程(二):构造函数的继承 作者: 阮一峰 日期: 2010年5月23日 这个系列的第一部分,主要介绍了如何&quot;封装&quot;数据和方法,以及如何从原型对象生成实例. 今天要介绍的是,对象之间的&quot;继承&quot;的五种方法. 比如,现在有一个&quot;动物&quot;对象的构造函数. function Animal(){ this.species = &quot;动物&quot;; } 还有一个&quot;猫&quot;对象的构造函数. function			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPN6jn3.html" rel="bookmark">Javascript 面向对象编程（一）：封装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习Javascript,最难的地方是什么? 我觉得,Object(对象)最难.因为Javascript的Object模型很独特,和其他语言都不一样,初学者不容易掌握. 下面就是我的学习笔记,希望对大家学习这个部分有所帮助.我主要参考了以下两本书籍: &lt;面向对象的Javascript&gt;(Object-Oriented JavaScript) &lt;Javascript高级程序设计(第二版)&gt;(Professional JavaScript for Web Developers, 2nd			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgE61O3.html" rel="bookmark">【转】Javascript 面向对象编程（一）：封装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文链接:http://www.ruanyifeng.com/blog/2010/05/object-oriented_javascript_encapsulation.html Javascript 面向对象编程(一):封装 作者:阮一峰 Javascript是一种基于对象(object-based)的语言,你遇到的所有东西几乎都是对象.但是,它又不是一种真正的面向对象编程(OOP)语言,因为它的语法中没有class(类). 那么,如果我们要把&quot;属性&quot;(property)和&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n8ppj4.html" rel="bookmark">Javascript 面向对象编程：封装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习Javascript,最难的地方是什么? 我觉得,Object(对象)最难.因为Javascript的Object模型很独特,和其他语言都不一样,初学者不容易掌握. ============================ Javascript 面向对象编程(一):封装 Javascript是一种基于对象(object-based)的语言,你遇到的所有东西几乎都是对象.但是,它又不是一种真正的面向对象编程(OOP)语言,因为它的语法中没有class(类). 那么,如果我们要把&quot;属性&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qqNO93.html" rel="bookmark">Javascript 面向对象编程（一）：封装 by 阮一峰</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;Javascript高级程序设计(第二版)&gt;(Professional JavaScript for Web Developers, 2nd Edition) 它们都是非常优秀的Javascript读物,推荐阅读. 笔记分成三部分.今天的第一部分是讨论&quot;封装&quot;(Encapsulation),后面的第二部分和第三部分讨论&quot;继承&quot;(Inheritance). ============================ Javascript 面向对象编程(一)			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0axWqM.html" rel="bookmark" class="title">安装rubygems</a>
					<div>
						转载 http://blog.csdn.net/huanghai200911/article/details/51251472 1,下载rubygems-2.4.8.tar包,下载地址:https:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lr9mB4.html" rel="bookmark" class="title">最新的ES 5&period;0路由算法底层实现</a>
					<div>
						http://www.cnblogs.com/bonelee/p/6078947.html 里分析了ES bulk实现,其中路由代码: ShardId shardId = clusterService ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OakrgM.html" rel="bookmark" class="title">window安装PHPCMS V9</a>
					<div>
						一.准备工作 搭建环境 :参考:Windows下搭建PHP开发环境及相关注意事项 PHPCMS V9 :下载适合自己 PHPCMS V9 版本到本地或服务器,下载地址:http://www.phpcm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n5yk7M.html" rel="bookmark" class="title">编译ros程序包--4</a>
					<div>
						编译程序包(原创博文,转载请标明出处--周学伟) 1.编译程序包: 一旦安装了所需的系统依赖项,我们就可以开始编译刚才创建的程序包了. 注意: 如果你是通过apt或者其它软件包管理工具来安装ROS的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgwov3.html" rel="bookmark" class="title">Linux网络编程入门 &lpar;转载&rpar;</a>
					<div>
						http://www.cnblogs.com/RascallySnake/archive/2012/01/04/2312564.html (一)Linux网络编程--网络知识介绍 Linux网络编程- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02k75z3.html" rel="bookmark" class="title">LRJ</a>
					<div>
						//3-1 1 #define _CRT_SECURE_NO_WARNINGS 2 3 #include &lt;cstdio&gt; 4 5 int main() 6 { 7 int T; 8 ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OD7jg4.html" rel="bookmark" class="title">Fatal error&colon; Call to undefined function imagettftext&lpar;&rpar;解决办法</a>
					<div>
						Fatal error: Call to undefined function imagettftext()解决办法 我的问题是php编译安装时指定了gd的目录,其实不用指定.就可以了 博客分类: p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7g820.html" rel="bookmark" class="title">python中的格式化输出and format（）应用</a>
					<div>
						普通格式化方法 (%s%d)生成格式化的字符串,其中s是一个格式化字符串,d是一个十进制数; 格式化字符串包含两部分:普通的字符和转换说明符(见下表), 将使用元组或映射中元素的字符串来替换转换说明符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6zWqZM.html" rel="bookmark" class="title">socket模块</a>
					<div>
						1 1.1 server: #!/use/local/env python# -*- coding:utf-8 -*- import socket ip_port = ('127.0.0.1', 99 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPr7R4.html" rel="bookmark" class="title">HTML5 localStorage and sessionStorage</a>
					<div>
						转载至:http://blog.csdn.net/fdipzone/article/details/25517615 HTML5 提供两种web存储方法,localStorage 与 sessionS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vj6do3.html" rel="bookmark" class="title">赵雅智&lowbar;Swift（1）&lowbar;swift简介及类型</a>
					<div>
						Swift 是 iOS 和 OS X 应用开发的一门新语言. 如果你有 C 或者 Objective-C 开发经验, Swift 的很多内容都是你熟悉的. Swift 的类型是在 C 和 Object ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bRGPY0.html" rel="bookmark" class="title">常见缩写</a>
					<div>
						本文用于记录一些常见的缩写: QPS:QPS每秒查询率(Query Per Second). 每秒查询率QPS是对一个特定的查询服务器在规定时间内所处理流量多少的衡量标准,在因特网上,作为域名系统服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDNNz73.html" rel="bookmark" class="title">scrollTop 鼠标往下移动到一定位置显示隐藏</a>
					<div>
						&lt;div class=&quot;mouse_scroll&quot;&gt;     &lt;img src=&quot;./mouse.png&quot;&gt;&lt;/div&gt; & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qa5Ek4.html" rel="bookmark" class="title">城市的辐射的温热温柔富贵</a>
					<div>
						http://wh.w.cn/yedianjiuba/14339448801930.html http://wh.w.cn/yedianjiuba/14339449001068.html http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWjrDB4.html" rel="bookmark" class="title">发现问题</a>
					<div>
						对于昨天的考试突然发现N多问题,发现只会套方法,不知道方法表示的意思.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38yY2A4.html" rel="bookmark" class="title">Nginx&plus;phpfastcgi下flush 一下子全部输出问题</a>
					<div>
						最近由于业务需要,需要使用php的flush输出缓存刷新,处理浏览器超时问题. 最初的测试代码如下: ob_start();//打开缓冲区for ($i=10; $i&gt;0; $i--){ ech ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47zXm93.html" rel="bookmark" class="title">北洋杂录：hello，高考</a>
					<div>
						前言:我经历了两次高考,那已经是七八年前的事了,然而每每想起那段岁月,总让人久久不能释怀.清楚的记得第二次高考是发生在凯尔特人拿总冠军的那年(加内特.皮尔斯.雷阿伦组成豪华三巨头的第一年,皮队昨天0. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J2vDP4.html" rel="bookmark" class="title">深入Java集合学习系列：Hashtable的实现原理</a>
					<div>
						第1部分 Hashtable介绍 和HashMap一样,Hashtable 也是一个散列表,它存储的内容是键值对(key-value)映射.Hashtable 继承于Dictionary,实现了Map ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ra9Y10.html" rel="bookmark" class="title">做一个正气的杭电人--hdu2500</a>
					<div>
						做一个正气的杭电人 Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)Total S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NoZjVM.html" rel="bookmark" class="title">windows平台安装php&lowbar;memcache模块</a>
					<div>
						要求 必备知识 熟悉基本编程环境搭建. 运行环境 windows 7(64位);php-5.3; memcached-1.2.6 下载地址 环境下载 什么是PHP Memcache模块 Memcach ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
